﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using System.ComponentModel.DataAnnotations;

namespace YTManager.Models
{
    public class Tag
    {
        // Uniquie ID for this media type
        [Key]
        public long key { get; set; }

        // Tag Name.
        [Required]
        public string Name { get; set; }

        // Videos this tag applies to.
        public List<Video> Videos { get; set; }

        // Channels this tag applies to.
        public List<Channel> Channels { get; set; }
    }
}
